import request from '@/utils/request'
// 接单大厅
export function order_receiving_hall(data) {
	return request({
		url: '/api/diagnosis/order_receiving_hall',
		method: 'get',
		data
	});
}

// 接单
export function order_receiving(data, id) {
	return request({
		url: '/api/diagnosis/order_receiving/' + id,
		method: 'post',
		data
	});
}

// 接单员订单
export function receiving_list(data) {
	return request({
		url: '/api/diagnosis/receiving_list',
		method: 'get',
		data
	});
}

// 取消接单 
export function discard_orde(data, id) {
	return request({
		url: '/api/diagnosis/discard_orde/' + id,
		method: 'post',
		data
	});
}

// 提交完成 
export function submit(data, id) {
	return request({
		url: '/api/diagnosis/submit/' + id,
		method: 'post',
		data
	});
}

// 优惠卡列表
export function cardlist(data) {
	return request({
		url: '/api/card/list',
		method: 'get',
		data
	});
}

// 优惠卡详情
export function carddetails(data, id) {
	return request({
		url: '/api/card/details/' + id,
		method: 'get',
		data
	});
}

// 公众号购买优惠券
export function wechat(data) {
	return request({
		url: '/api/card/wechat',
		method: 'post',
		data
	});
}

// 小程序购买优惠券
export function routine(data) {
	return request({
		url: '/api/card/routine',
		method: 'post',
		data
	});
}

// 优惠券列表
export function getCouponsList(data) {
	return request({
		url: '/api/card/user_card',
		method: 'get',
		data
	});
}

// 激活优惠券
export function use_card(data) {
	return request({
		url: '/api/card/use_card',
		method: 'post',
		data
	});
}

// 我的优惠券详情
export function user_card_details(data, id) {
	return request({
		url: '/api/card/user_card_details/' + id,
		method: 'get',
		data
	});
}
